lunes, 21 de noviembre de 2016

Después de instalar openSUSE Leap 42.2. Guía de configuración e instalación de software y algunas cosas que debemos saber.


Una nueva versión de openSUSE y, como es costumbre en este blog, la chuleta de post-instalación. No es que cambien mucho las cosas para estos menesteres pero así no quedan dudas, especialmente al usuario novel, y a mi no me cuesta gran esfuerzo, sólo algo de tiempo. Como siempre pretende servir sólo de recordatorio a los usuarios veteranos –algunos pasan por aquí versión tras versión, así que sirva al menos para mandarles unos efusivos saludos flamencos-, pero, fundamentalmente, para facilitarles las cosas a los nuevos usuarios, para los que además se suministran enlaces sobre algunos temas que debemos saber sobre esta distribución.

En general, lo expuesto es independientes del entorno de escritorio que se utilice (KDE Plasma, GNOME, XFCE, etc). No obstante, se hacen algunas referencias específicas a Plasma 5, que es el escritorio que utilizo generalmente. Aunque, también como siempre, recomiendo la extensa documentación oficial de openSUSE ...⇒, porque, obviamente, esta “chuleta” no sustituye a dicha documentación.

En cuanto a las novedades de esta segunda versión de Leap 42 así como algunas cuantas cosas más muy interesante, también como es aquí costumbre, recomiendo el artículo correspondiente en el blog Victorhck in the free world ...⇒. No obstante, yo destacaría, como fotógrafo aficionado entusiasta, algo que se incluye en Leap 42.2 y que no se está comentando en la red: Gestión de color en Plasma 5.8 -¡Ya era hora!-. Colord-KDE, que parecía estar olvidado ya que no funcionaba desde KDE 4.11, se ha actualizado a la versión 0.5.0 (Qt 5), se muestra como un módulo de control en “Preferencias del sistema”, y está disponible en el repositorio oficial (apartado 4).

Y, por otro lado, también destacar que con esta versión volvemos al SO robusto y estable al que nos tenía acostumbrado openSUSE. La versión 42.1, en mi opinión, ha sido un tanto decepcionante, no sé si ha sido debido a que era el primer “salto” a esta nueva era Leap, o a que la versión de Plasma no estaba nada madura, o a los dos factores y alguno más. Tengo la impresión de que más de un usuario ha migrado a otra distribución. Pues bien, ya pueden volver, … Esta Leap 42.2 es sólida como Debian Estable, pero recuerden que además tiene a YaST.

1. Durante la instalación de openSUSE ¿No se instaló algún paquete?

Si durante la instalación en algún momento nos lanzo un mensaje de que unos paquetes no se habían instalado, por ejemplo openssh y oxygen5-sounds. No hay problema, lo solucionamos rápidamente. Vamos a YaST>Software>Instalar/desinstalar software

Cunado se está abriendo este módulo nos lanza un mensaje: “Durante la última instalación de paquetes, varios paquetes no se instalaron correctamente. ¿Desea instalarlos ahora?.”Picamos en Sí, y en el gestor de software estarán marcados los paquetes rebeldes, picamos en “Aceptar”, y asunto zanjado.


2. Antes de empezar algunos ajustes en Plasma 5, si fueran necesarios

2.1. Configurar el teclado

El teclado, y según la marca que sea, puede no estar configurado correctamente. Abre LibreOffice Writer, escribe, utiliza guión, acentos y demás símbolos (?, !, “, {, etc), si no funciona correctamente lo solucionamos también rápidamente. En mi caso el teclado que tengo es Logitech y, como siempre y en cualquier distribución, he tenido que configurarlo. Vamos a:

Preferencias del Sistema>Hardware>Dispositivos de entrada>Teclado

En “Modelo de teclado” está seleccionado “Generic PC genérico 101 teclas”, picamos en el desplegable, y buscamos el nuestro, lo seleccionamos y “Aplicar”. En mi caso me vale con “Logitech, teclado genérico”. Ya podemos escribir correctamente para comunicarnos con el sistema.

2.2. ¿Problemas con la conexión Wifi?

Por lo general, durante la instalación se instalan los drivers de las tarjetas Wifi, pero aún así puede que se tengan problemas con la conexión, en algunos casos relacionados con KWalletManager, y la solución puede ser simplemente desactivarlo. Vamos al lanzador de aplicaciones:

Sistema>KwalletManager (Herramienta de gestión de carteras)>Preferencias>Configurar carteras

Desmarcar “Activar subsistema de carteras de KDE” y “Aplicar”. Después nos situamos con el puntero sobre el icono de red en el panel, botón derecho y seleccionamos “Configuraciones de red” y en la ventana que surge picamos sobre nuestra red Wifi. En el cuadro que se abre, en “Seguridad Wifi”, tecleamos la clave de la red, aceptamos y listo.


2.3. Idioma preferido

Configurar en mi caso “español de España” como idioma preferido. Vamos a:

Preferencias del sistema>Preferencias regionales>Idioma

Seleccionamos el idioma de “Idiomas disponibles” y picamos en el símbolo > para situarlo en “Idiomas preferidos”.

3. En cualquier entorno de escritorio ...

3.1. Repositorios oficiales

Durante la instalación de openSUSE se habrán añadido y configurado adecuadamente los repositorios oficiales: Oss, Non-Oss, Actualizaciones (Update) y No OpenSource (non-oss), no obstante, no está demás que demos una vuelta por el gestor de respositorios de YaST. Este lo encontramos en YaST>Software>Repositorios de software.

Los cuatro repositorios deben estar marcados “Habilitado” y “Auto autoactualizar” y “Prioridad” con un valor de 99. Si no fuera así los marcamos: “Activar” y “Autoactualizar”.

Los repositorios “Source” y “Debug” los podemos dejar deshabilitados. Por otro lado, el medio de instalación con nombre openSUSE-42.2-0 (DVD o unidad USB, cd:///?devices=dev/...), debe estar desmarcado pero, incluso, lo podemos eliminar; ya no es necesario.

Para más detalles sobre los repositorios:



3.2. Primera actualización del sistema

Abrimos la consola y como superusuario ejecutamos los siguientes comandos:

# su (y contraseña)
# zypper ref (abreviatura de refresh, actualiza o “refresca” la información de los repositorios)
# zypper up (abreviatura de update, actualiza los paquetes)
# zypper patch (instala todos los parches disponibles de seguridad y corrección de errores)
# zypper inr (abreviatura de de install-new-recommends)

zypper inr” instala paquetes recomendados como paquetes de idiomas, drivers o codecs multimedia, dependiendo de los repositorios activos, aplicaciones instaladas, del hardware o de la configuración del sistema. Es interesante ejecutarlo después de añadir algún repositorio o de instalar aplicaciones, y especialmente después de instalar el repositorio Packman (ver más adelante).

Al terminar el proceso el sistema nos indica en la consola que:“Hay algunos programas en ejecución que utilizan archivos eliminados producto de una reciente actualización. Debería considerar reiniciar algunos. Ejecute 'zypper ps' para listarlos”. En definitiva, reiniciamos el sistema.


3.3. Añadir repositorios de la comunidad mediante Yast

Para completar nuestro sistema es posible que tengamos que instalar al menos dos repositorios de la comunidad. Vamos a: YaST>Software>Repositorios de software

Picamos en “Añadir”, en la siguiente ventana marcamos “Repositorios de la comunidad”. En la siguiente encontramos un listado de repositorios y marcamos al menos los repositorios siguientes:

- PackMan Repository: Aporta aplicaciones para la reproducción y edición tanto de audio como vídeo en cualquier formato aunque también proporciona juegos y otro software como codecs y aplicaciones multimedia, internet, compresores ... No es un repositorio oficial pero se considera casi oficial, y desde luego lo necesitamos para tener completo el sistema.

- libdvdcss: Es la librería para proporcionar soporte al encriptamiento de los DVD-Vídeo.

Finalmente picamos en “Aceptar”. Nos pide confirmaciones, importar claves GPC y aceptar acuerdos de licencia: Si a todo.

En la ventana principal del módulo de repositorios ponte sobre Packman Repository pica en “Editar” y escríbelo de la siguiente manera Packman_Repository; de no ser así en consola no identificará a este repositorio por estar formado por palabras separadas por un espacio vacío. También podríamos dejar sólo la palabra Packman.

Después tenemos que cambiar de proveedor los paquetes instalados de los repositorios oficiales por los de Packman.

# su (y contraseña)
# zypper ref
# zypper dup --from Packman_Repository

O de esta otra forma si dejamos el nombre del repositorio simplemente como Packman:

# zypper dup --from Packman

Se actualizaran paquetes, alguno también puede que se desactualicen (recién liberada la versión de openSUSE especialmente), se instalaran paquetes nuevos y muchos cambiaran de proveedor (k3b, por ejemplo). Y este es muy buen momento para utilizar otra vez el comando “install-new-recommends”:

# zypper inr

Entre los paquetes recomendados que se nos instalará debe estar flash-player y si tenemos el escritorio KDE Plasma 5, y consiguientemente K3b, también k3b-codecs.

Advertencia: Ten en cuenta que con carácter general openSUSE no se hace responsable de la estabilidad del sistema con repositorios que no sean los oficiales y Packman.


3.4. Tarjetas gráficas (ATI/AMD y NVIDIA)

Durante la instalación de openSUSE muy posiblemente os habrá instalado los controladores libres de vuestra tarjeta gráfica. En mi caso así ha sido una vez más; la tarjeta gráfica de mi equipo es ATI HD5770, funciona perfectamente y así se quedará.

Pero si no les funciona bien o quieren probar los privativos aquí van algunas indicaciones. Ahora bien, en el caso de gráficas ATI/AMD hagan primero una imagen de seguridad con, por ejemplo, Clonezilla …⇒. En esta ocasión primero instalé fglrx (privativo), y el sistema “petó”; probablemente esto se solucione más adelante.

NOTA: para ATI/AMD estas opciones no están disponibles.

ATI/AMD: Tenemos dos opciones, la primera podría ser instalarlo con One-Click-Install desde opensuse.org ...⇒, y de paso lean atentamente la documentación.

La segunda es instalar desde un repositorio de la comunidad. Volvemos a:

YaST>Software>Repositorios>Añadir>Repositorios de la comunidad

Marcamos el repositorio AMD/ATI Graphics Drivers y “Aceptar”.

En terminal como superusuario instalamos:

# zypper install fglrx64_xpic_SUSE422

Este es un metapaquete que instalará fglrx-core, fglrx-graphics, fglrx-amdcccle y fglrx-opencl.

NVIDIA: Para estas tarjetas no tengo experiencia, pero sé que se pueden seguir también esos dos caminos. La primera es instalar desde un repositorio de la comunidad. Volvemos a:

YaST>Software>Repositorios>Añadir>Repositorios de la comunidad

Marcamos el repositorio nVidia Graphics Drivers. En la “Descripción del repositorio” se indica que después de añadir el repositorio si se ejecuta el comando “zypper inr” se instalarán los drivers correctos; después hay que reiniciar. Y así será.

La segunda opción es instalarlos, y según el modelo de tarjeta gráfica, con One-Click desde opensuse.org ...⇒


3.4. Flash-player, libdvdcss2 y codecs multimedia

Flash-player se habrá instalado ya desde el repositorio Packman y desde este se irá actualizando, no obstante, podemos asegurarnos:

# zypper install flash-player

Instalamos la librería para proporcionar soporte al encriptamiento de los DVD-Vídeo:

# zypper install libdvdcss2

También se habrán instalado ya algunos codecs multimedia como sox, libdvdplay0 o libquicktime0, pero también nos aseguramos e instalamos un puñado más de codecs:

# zypper install lame gstreamer-0_10-plugins-ffmpeg gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon gstreamer-0_10-plugins-fluendo_mp3 gstreamer-0_10-plugins-fluendo_mpegmux gstreamer-0_10-plugins-good gstreamer-0_10-plugins-good-extra gstreamer-0_10-plugins-bad-orig-addon lsb5 libxine2 libxine2-pulse libdvdplay0 libdvdread4 libdvdnav4 libmad0 sox libxvidcore4 xvidcore libavcodec52 libavdevice52 libavdevice56 libvlc5 libquicktime0

Nota: Puede que desde la terminal nos lance un mensaje planteando un problema de conflictos entre paquetes y repositorios, y nos facilite tres o cuatro opciones a elegir: 1 Reemplazo o desactualización o cambio de proveedor …; 2 No instalar …; 3 No instalar …; 4 Romper … Nunca elegir la 4. La solución apropiada por lo general en este tipo de mensajes es la 1, o en ocasiones “No instalar ...”

En esta ocasión y a fecha de hoy, recibí el siguiente mensaje que puede servir de ejemplo:

“Problema: gstreamer-0_10-plugins-fluendo_mp3-0.10.18-3.3.x86_64 está en conflicto con gstreamer-0_10-fluendo-mp3 > 0.10.18 proporcionado por gstreamer-0_10-fluendo-mp3-21-2.1.x86_64
Solución 1: desinstalación de gstreamer-0_10-fluendo-mp3-21-2.1.x86_64
Solución 2: no instalar gstreamer-0_10-plugins-fluendo_mp3-0.10.18-3.3.x86_64
Elija la solución usando '1'o cancele usando 'c' [1/2/c] (c): “

En este caso los paquetes tienen diferente nombre pero misma función, el primero está en Packman, y el segundo en el repositorio oficial (NON-OSS) y ya instalado. Con la solución 1 cambiamos de proveedor (a Packman) y con la 2 mantenemos el paquete del repositorio oficial. Creo que, en este caso, cualquiera de las dos opciones nos puede valer. Por el momento he seleccionado 2.

K3b utiliza sus propios codecs que los proporciona el repositorio Packman y ya deben estar instalados al ejecutar “inr” pero si tienes dudas:

# zypper install k3b-codecs

3.5. Compresores

Algunos ya deben estar instalados como unrar, unzip, sharutils y p7zip, pero podemos instalar también en el escritorio KDE:

# zypper install kde4-Q7Z lhasa

En GNOME:

# zypper install Q7Z lhasa

3.6. Gestión de particiones Linux y Windows (NTFS), permisos y configuración para que se monten en el arranque

YaST cuenta también con un gestor de particiones que nos permite en modo gráfico activar el montaje y permisos automáticamente al arrancar el sistema, tanto si las particiones son formatos Linux como Windows (NTFS). SEGUIR LEYENDO ...⇒

3.7. Instalar, activar y monitorizar sensores de temperatura

Para activar y poder monitorizar la temperatura del hardware (discos locales y procesador) tenemos que tener instalado tres paquetes: hddtemp, sensors y libsensors4. SEGUIR LEYENDO ...⇒

3.8. Personalizar el tiempo de espera del menú de arranque (GRUB)

El tiempo de espera por defecto del menú de arranque (GRUB) es de 8 segundo, lo cual puede estar bien si sólo tenemos a openSUSE en nuestro PC, pero si tenemos más de un sistema operativo, puede parece un tiempo un tanto escaso. Para modificarlo vamos a:

YaST>Sistema>Cargador de arranque

Abrimos la pestaña “Opciones del cargador de arranque” y en “Tiempo límite en segundos” ponemos el tiempo que estimemos oportuno, unos 16 segundos por ejemplo. Picamos en “Aceptar”, y tranquilo, no hay que preocuparse, porque le lleva su tiempo.

3.9. Crear una cuenta de usuario

Nos puede interesar crear uno o más usuarios que utilicen la máquina o quizás no; sólo nosotros utilizamos la computadora. Pero aún así es buena idea crear un usuario. Ante algunos tipos de problemas que se nos presenten y no nos permitan entrar en el sistema con nuestro usuario, quizás podamos entrar con el del usuario “secundario” y quizás podamos solucionar así el problema. O para probar otras configuraciones y personalizaciones del escritorio, o por cualquier otra razón. SEGUIR LEYENDO ...⇒

3.10. El repositorio Graphics de la comunidad openSUSE (aplicaciones gráficas y de fotografía.

El repositorio Graphics de la comunidad openSUSE suministra paquetes rpm de librerías y aplicaciones gráficas y de fotografía, que, o bien no están disponibles en el repositorio oficial, o que se encuentran en una versión más actual. SEGUIR LEYENDO ...⇒

3.11. Instalar otros entornos de escritorios adicionales: Plasma, GNOME, XFCE, LXDE, MATE o Enlightenment

En openSUSE, y al igual que en versiones anteriores o que en otras distribuciones, podemos tener otros escritorios además del que seleccionamos cuando lo instalamos en nuestra computadora. Pueden coexistir sin mayores problemas, cuando vamos a entrar en openSUSE podemos seleccionar uno u otro, y cuando estamos en un escritorio en concreto podemos cambiar a otro simplemente cambiando de sesión. Vamos a:

YaST>Instalar/Desinstalar software>Ver>Patrones

Sólo marcando el escritorio (Base System y Desktop Environment) que se quiera tener como complementario y pulsando “Aceptar”, este se nos instalará.

4. Algo más en Plasma 5.8

4.1. Instalar gestión de color

En esta versión de Plasma 5.8 ya podemos disfrutar de gestión de color, esta disponible la versión 0.5.0 de colord-kde.

# zypper install colord-kde

Lo encontramos como un módulo de control (KCM) en “Preferencias del Sistema” en el que podemos seleccionar un perfil de color para cada uno de los dispositivos. Para que la gestión de color del monitor sea efectiva tenemos que configurar lo siguiente:

Preferencias del sistema>Pantalla y monitor>Compositor

Marcamos “Activar la corrección de color”, y seleccionamos en “Motor de renderizado” OpenGL 3.1 (esto último no estoy totalmente seguro que sea necesario, quizás podríamos dejar OpenGL 2.0).

El módulo de gestión de color lo encontraremos en:

Preferencias del sistema>Correcciones de color

Señalamos el monitor y picamos “Añadir perfil”, podemos seleccionar desde “Perfiles disponibles” –sRGB, por ejemplo, que es el usual para la gran mayoría de monitores-; y si disponemos de un perfil personalizado lo seleccionamos “Desde el archivo ...”, donde lo tengamos disponible. Si este perfil lo instalamos con DisplayCAL entonces lo podremos selecciones en “Perfiles disponibles”, o se habrá ya instalado.


Para la calibración del monitor con un colorímetro, sin embargo, se sigue dependiendo del gestor de color de GNOME (en la siguiente versión de colord-kde parce ser que ya no será así), pero que se integra en este módulo. Hay que instalar:

# zypper install gnome-color-manager

4.2 Instalar KDE Connect en Plasma 5 para mantenerlo en conexión con un dispositivo android

KDE Connect es una aplicación que permite conectar un dispositivo android (tableta, smartphone, etc) con el escritorio KDE de una distribución GNU/Linux en un ordenador personal, y a través del wifi de nuestra red local. Está ya instalado pero puede que no se conecte SEGUIR LEYENDO ...⇒

4.3. Los menús desplegables no funcionan correctamente en aplicaciones GTK

Al menos en mi sistema, en algunas aplicaciones GTK (Gnome) los desplegables de los menús no se ven bien definidos (Grsync), incluso en algunos no se pueden seleccionar las opciones (Gimp), y/o en las notas informativas sobre los iconos el texto aparece en blanco y no se pueden leer con claridad (Gimp, Inkscape). SEGUIR LEYENDO ...⇒

Nota: A fecha de hoy no están disponibles gtk3-engine-oxygen y gtk3-theme-oxygen pero con las versiones gtk2 se soluciona la papeleta.

4.4.Guía de KDE Plasma 5

En este blog disponemos de algunas tutoriales que te pueden ser útiles para descubrir las muchas funcionalidades de configuración y personalización de este excelente entorno de escritorio SEGUIR LEYENDO ...⇒

Puedes empezar por:


A estas alturas no viene nada mal un "zypper inr" y un "zypper patch"



34 comentarios:

  1. Excelente post. Una consulta, tendría que desmarcar los repositorios de la versión 42.1 y eliminarlos y así solo quedarme con el del 42.2?. Saludos y excelente trabajo.

    ResponderEliminar
    Respuestas
    1. Sí así es. Lo suyo es que elimines los repositorios que apuntan a la versión 42.1, no sólo porque ya no son innecesarios si tienes los de la 42.2, sino porque pueden surgir un montón de problemas de incompatibilidades entre paquetes.

      Saludos flamencos,

      Eliminar
    2. Hola amigos, quisiera perdirles una ayuda sobre éste tema.

      He empezado en el mundo Linux hace menos de un año con openSUSE 42.1, así que esta es la primera vez que debo actualizar de una versión a otra, pero no tengo ni idea de cómo hacerlo.

      Ahora lo que me ha ocurrido es que al hacer una actualización diaria a través de la terminal, he aceptado una actualización del kernel y se ha desconfigurado alguna parte del sistema, cuando inicio el computador, después de cargar un buen rato me aparece la consola de comandos y dice: "Couldnt find support for device at ´/sys/devices/pci00 00:00/0000:00:1c.6/0000:06:00.0´: not supported by any pluggin"

      En estos momentos no sé si el problema esta relacionado con que las nuevas actualizaciones están dirigidas a la versión 4.2. Tengo un respaldo del sistema que hice un mes y medio atrás con Clonezilla pero me gustaría poder recuperar el sistema en el estado en que se encontraba antes de el problema.

      Y en el caso en que recuperara el correcto funcionamiento de mi computadora por cualquier medio, quisiera saber ¿Cómo actualizo a la versión 4.2? ¿Se borrarían los documentos de mis versión 4.1?

      De antemano muchas gracias por éste maravilloso Blog, con él he dado mis pasos por el mundo linux y estoy encantado.

      Saludos :)

      Eliminar
    3. Entiendo que no puedes entrar al escritorio, que el sistema se queda en la consola y te manda ese mensaje. No sé como solucionarlo.

      Si pudieras entrar y /root lo instalaste con el sistema de archivos Btrfs se supone que puedes restaurar una situación anterior con YaST, pero no sé decirte como; yo sigo utilizando el sistema de archivos ext4.

      Así que lo único que te puedo indicar es lo siguiente:

      1-Restaura con Clonezilla sólo la partición /root. Home seguirá como estaba antes del entuerto.
      2-Actualiza el sistema pero sin actualizar el kernel.
      3-Sin tienes datos y archivos en /home además de los que crea el sistema, haz una copia de seguridad.
      4-Para actualizar a la versión 42.2 sólo tienes que apuntar los repositorios que ahora los tienes en 42.1 a 42.2. Para esto mediante YaST, edita los repositorios y en todos sustituye 42.1 por 42.2. Como precaución es importante hacer la actualización sólo de los repositorios oficiales y Packman en una primera fase. Es decir que si tienes otros repositorios los deshabilites, y más adelante ya actualizarás.

      Si tienes duda con los repositorios aquí encuentras los oficiales para las dos versiones:

      https://en.opensuse.org/Package_repositories

      5. Con los repositorios oficiales y Pacman apuntando a 42.2, en consola ejecutas el comando:

      # zypper dist-upgrade

      Este artículo es de la versión 12.2 pero te puede servir de orientación:

      https://diversidadyunpocodetodo.blogspot.com.es/2013/03/opensuse-123-actualizar-122-yast-consola-linea-comandos.html

      Los archivos personales que tengas en /home deben permanecer, pero siempre es bueno tener una copia de seguridad. Da mucha tranquilidad.

      Saludos flamencos,

      Eliminar
    4. Hola Benjamin.

      Ya hace algún tiempo que tuve el problema que mencioné en el comentario anterior y quiero además de agradecer por la asistencia, compartir mi experiencia.

      Resultó que la copia de seguridad que había creado con Clonezilla estaba defectuosa y me fue imposible recuperar el sistema, por lo que recomiendo tener siempre a la mano más de una copia de seguridad (lección aprendida) afortunadamente conservo la mayoría de mis datos en un disco externo. Y como me gusta tanto este sistema, instalé desde cero la versión 42.2 y aquí estoy muy feliz con mi sistema.

      Lo otro que descubrí fue que el problema se había producido porque la partición en la que se encuentra la raíz, se había llenado. El espacio recomendado de esa partición es de 40 GB pero parece que se va llenando con el tiempo, la verdad es que tengo que averiguar sobre el tema para que no vuelva a suceder.

      Muchas gracias por su ayuda muchachos y por compartir conocimientos y experiencias en esta comunidad tan genial.

      Saludos :D

      Eliminar
    5. Pues muchas gracias amigo Cristian por compartir tu experiencia. Yo en openSUSE sigo utilizando el sistema de archivos ext4, por distintas razones, y, consiguientemente, no he estudiado el tema de las imágenes de seguridad que se crean con el sistema de archivos btrfs, pero creo que se pueden ir eliminado mediante un módulo de YaST para que no se te llene la partición raíz. Seguro que será algo sencillo.

      Suerte y saludos flamencos,

      Eliminar
  2. Efectivamente, versión tras versión, por aquí pasamos.
    En mi caso, la 42.1 no me ha dado problemas, tan solo la he notado lenta, pesada...pero nada de cuelgues. Llevo dos días con la 42.2 y, de momento, vuela.
    Sobre lo que comentas en el apartado 4.3, dos observaciones:
    -no tengo problemas con los desplegables de los menús. Mi tema de escritorio actualmente es Brisa oscuro. Lo comento porque en Kubuntu (creo recordar) alguna vez me ocurrió algo parecido y al cambiar el tema de escritorio a uno más oscuro, se solucionó...aunque tal vez no tenga nada que ver
    -el enlace "SEGUIR LEYENDO", no funciona
    Saludos

    ResponderEliminar
    Respuestas
    1. Algo que no creo recordar que me hubiera pasado con versiones anteriores de openSUSE, y sobre todo cuando llevaban algún mes rodando, son los cuelgues, y con la 42.1 los he experimentado, si es verdad que en contadas ocasiones, y, como dices, lenta y pesada. Sin embargo, esta 42.2 desde el primer día está funcionando de lujo.

      Lo del apartado 4.3 me ocurre también en Kubuntu y en Debian, y sospecho que el que se presente o no el problema con Brisa debe tener cierta relacionado con la tarjeta gráfica.

      Gracias por la advertencia del enlace, y lo dicho amigo, unos efusivos saludos flamencos ,

      Eliminar
  3. Como siempre y ya viene siendo un clásico al menos para mi con cada actualización visitar seguidamente tu página, muchas gracias por la info y tu trabajo.

    ResponderEliminar
    Respuestas
    1. Amigo Javi, todo un placer teneros por aquí y como indico en la intro:

      Efusivos saludos flamencos y gracia por el comentario,

      Eliminar
  4. coincido contigo en que la 42.1 fue un poco decepcionante.... pero solo con kde (creo que a plasma aun le faltaba un poco de evolucion). lo digo porque con con gnome no me dio ningun problema, la verdad es que funcionaba todo de maravilla, quizas un poco mas lenta que con kde.
    Pero la 42.2 con KDE 5.8. parece otra cosa... rapida, muy rapida y por lo que he probado hasta ahora parece que kde 5.8 ya esta bien pulido. Saludos

    ResponderEliminar
    Respuestas
    1. Sí, yo también utilice Gnome en la 42.1 (porque tiene gestión de color) y funcionaba bien. Esta versión de Plasma 5.8 es LTS, así que se irán corrigiendo errores, aunque por el momento va muy bien, y es de esperar que aun funcionará mejor. En fin, creo que con esta 42.2 y la futura 42.3 vamos a disfrutar de un excelente SO, como corresponde con openSUSE.

      Saludos flamencos,

      Eliminar
  5. Gracias, Benja, como siempre, toda una referencia.

    ResponderEliminar
  6. Todo iba muy bién, hasta que se colgó cuando navegaba con Opera. Ya me había pasado alguna vez con la 42.1. No le doy importancia y reinicio.
    Y cuando instalo Google earth, llegò el desastre: desaparecen los iconos del lanzador de aplicaciones y deja de funcionar; intento un reboot con "su" y me dice que ese usuario no existe.
    Reinicio a lo "bestia" y el sistema no se carga.
    Esperaré unas semanas para reinstalar; mientras, he instalado Maui (heredera de Netrunner) en esa partición y la voy probando, más que nada para comprobar si los fallos son cosa de Plasma o de esta versión de OpenSuse.

    ResponderEliminar
    Respuestas
    1. Disculpa amigo Petrus pero me pillaste de “viaje de puente”. No sé que decirte. Esta versión me está yendo muy bien. Google Earth está funcionando tambien muy bien, con esta versión (de Google Earth) además se visualizan las fotografías de Panoramio.

      En cuanto a Plasma, en Debian testing se encuentra también la 5.8 y está funcionando también muy bien.

      Suerte y saludos flamencos,

      Eliminar
  7. Benja... voy a plantearte un reto curioso, si me lo permites ;-)
    ¿Cómo deshabilitar la petición de contraseña que te hace Leap42.2 cuando vas a montar particiones de discos duros que tienes en tu pc?
    En el Foro teníamos un hilo al respecto ( http://www.forosuse.org/forosuse/showthread.php?t=29561 ), pero ya no nos vale. Para empezar, polkit-1 aparece ahora en otro directorio, y estoy más perdido que un camarón en una pescadería...
    De todas formas, gracias por la inmensa ayuda que siempre es tu blog.
    Saludos canarios :-)

    ResponderEliminar
    Respuestas
    1. Amigo Sergio, creo que la respuesta la puedes encontrar en el apartado 3.6. (Gestión de particiones Linux y Windows (NTFS), permisos y configuración para que se monten en el arranque). En este enlace:

      https://diversidadyunpocodetodo.blogspot.com.es/2013/11/opensuse-particiones-ntfs-permisos-montar-yast.html

      Saludos flamencos,

      Eliminar
    2. ¡Gracias, arreglado está!
      No tanto por el "cómo" (yo puse todas las particiones en /media, incluso las ntfs, sin crear /windows), sino por el "qué", porque al fin comprendí el concepto: Algo tan sencillamente estúpido como que openSUSE no monta las particiones al inicio de sesión.
      Si no te importa, pondré este enlace en el Foro.
      Saludos canarios :-)

      Eliminar
    3. Me alegro Sergio que ese artículo te haya sido útil, y por supuesto que no me importa que pongas el enlace en el Foro, de hecho será todo un honor.

      Saludos flamencos,

      Eliminar
  8. Saludos y gracias por la información del Post, me parece un trabajo genial, hace un tiempo probe OpenSuse 42.1 y la verdad se me colgaba demasiado, lo poco que soporte la situación quede con ganas de seguir usandolo pero lamentablemente el equipo es de trabajo y me toco volver a Ubuntu :( .. estuve esperando nueva versión y he decidido instalar en otra laptop que tengo para probar, ayer instale tumbleweed y me gusto muchisimo, pero algo que odio de windows es que se cuelgue y no te deje hacer nada, ya la mañana de hoy me habia pasado 4 veces en OpenSuse :( se ha congelado el equipo y no permite hacer nada, lo unico que queda vivo es el mouse, como la fiebre por usarlo es tan alta recien formatee el equipo y he puesto Leap 42.2 - veamos que tal nos va, espero no se cuelgue, mi configuración Laptop Intel i5 2.4 Ghz, 8 Gb ram, Disco SSD 240 GB.
    Saludos de un Venezolano en Ecuador

    ResponderEliminar
    Respuestas
    1. Como indico en la introducción, la versión 42.1 me defraudo muy “mucho”, y aguanté esperando algunos parches que corrigieran los errores. Ahora bien, en otras particiones tenía Kubuntu 16.04 y Debian 8, que se han mostrado muy estables, y cuando tenían que trabajar (y sin sorpresas) a estas acudía. La versión 42.2 por el momento está cubriendo las expectativas, y se comporta como a mi me gusta: Estable y sin sorpresas.

      Saludos flamencos,

      Eliminar
  9. Hola Benjamín,
    Impresionante tu blog, genil. Es la primera vez que vengo pero seguro repito.
    Tengo cantidad de cuelgues en 42.2 y después de varias reinstalaciones y vuelta a instalar he vvuelto a instalar 42.1 i todo vuelve a la normalidad.
    Pense que era de mi ordenador, pero no, es del opensuse. La verdad es que no sé que hacer para que me funcione correctamente.
    Tengo muchisimos problemas con los videos en formato MP4, imposibles de ver y cuando instale VLC se ven pero francamente mal.
    Creo que todo esta relacionado de video y cuelgues están relacionados ya que desde, cuando se queda colgado, desde otro ordenador a través de Samba puedo entrar al ordenador y ver los archivos y interactuar con ellos pero la imagen queda congelada.
    En fin un dinfin de problemas que soy incapaz de resolver.
    ¿Tienes alguna idea de qué puede ser?
    gracias por adelantado
    Saludos

    ResponderEliminar
    Respuestas
    1. Lo que me resulta muy extraño es que con la versión 42.1 todo funcione bien y con la 42.2 tengas esos problemas. Se supone que esta última está mejor conseguida. Imagino que instalaste todo los codecs multimedia, si no fuera así esta puede ser la razón.

      No eres el único que está teniendo problemas según nos comentan algunos amigos, pero no sabría decir cual es la razón; en mi caso está funcionando muy bien. Quizás no he comentado que tanto en la partición root como home instalé el formato de archivos ext4, y no los que se instalan por defecto (Btrfs y XFS), pero no sé si esto tendrá algo que ver.

      Lamento no poder ayudarte. Saludos flamencos,

      Eliminar
    2. Hola Benjamin,
      Gracias por tu respuesta.
      Los codec están bien instalados y sigue sin funcionar. En cuanto al formato de los archivos (Btrfs y XFS), no he probado de cambiarlos a Ext4 pero tengo la certeza que no es de ahí pues la 42.1 funciona perfectamente con esos formatos.
      En fin, continuaré probando pero como puedes comprender la decepción con opensuse 42.2 es inmensa.
      Lo que me estraña es que se cuelgue el ordenador pero solo la parte de la imagen, la CPU sigue funcionando normalmente.
      Gracias por tu ayuda
      Saludos

      Eliminar
    3. Hay que ver como son esta cosas. Si este entuerto te hubiera ocurrido con la versión 42.1 no me habría estañado; en cualquier caso entiendo tu decepción.

      Lo bueno de GNU/Linux es que hay diversas opciones de distribución y los escritorios y aplicaciones son las mismas, por lo que migrar de unas a otras no supone grandes trastornos. En ocasiones cuando estoy trabajando duro no sé si estoy en openSUSE, o en Debian, o en Kubuntu; y esto me resulta muy agradable.

      Suerte amigo y saludos flamencos,

      Eliminar
  10. Desde tu experiencia ¿Los drives fglrx, siguen funcionando relativamente "bien" en esta versión 42.2? Te explico, tenía instalada la versión 42.1 sin drivers privativos, sólo los libres para mi chip gráfico AMD, el problema ha aparecido cuando actualicé a 42.2 y desde entonces el entorno gráfico ha sido un verdadero caos, empieza funcionando bien y de repente al cerrar una ventana todo parpadea, las ventanas se superponen unas sobre otras, o simple y sencillamente cuando cierro una ventana, está, a pesar de que ha sido cerrada continúa dibujada sobre el escritorio y sólo desaparece si hago clic en otra ventana para maximizarla. Cada vez que sucede esto tengo que cambiar en el compositor entre OpenGL 3.1 y 2.0 0 Xrender y se ha vuelto algo molesto. Intentaba instalar los controladores privativos, pero investigando, encontré que ya no son soportados en suse 42.2, de hecho cuando descargué un archivo de instalación (un 1 clic install), no me permitió la instalación. La línea que pones en tu post ( # zypper install fglrx64_xpic_SUSE422) ¿Sí logra instalar todos los componentes sin problemas?¿Funciona bien?¿Va fluido el sistema? Esto último lo pregunto porque la última vez que instalé el driver privativo, fue un verdadero dolor de muelas, puesto que el driver mermaba el funcionamiento del sistema en general, iba a tirones, además de que no me reconocía la resolución completa de un monitor extra que solía conectar a mi equipo...

    Espero me puedas comentar tu experiencia...

    Gracias...

    ResponderEliminar
    Respuestas
    1. Veras Daniel, como escribo en el texto en la 42.2, y como en la 42.1, tengo instalado el libre, y el sistema con Plasma desde el principio esta funcionando perfectamente, lo cual comento también en el texto. Personalmente, y a diferencia de la versión anterior, me parece una versión muy sólida, pero a tenor de varios comentarios me parece que esto no es “en general”.

      Y efectivamente en opensuse.org dicen claramente: The fglrx driver does not work on Leap 42.2, y de hecho en YaST ya no aparece el repositorio de la comunidad. Así que la única posibilidad es el driver libre, pero no te funciona. Entiendo que has actualizado a la 42.2 desde la 42.1. Este procedimiento lo utilicé en el pasado y todo casi bien, quiero recordar que sólo tuve que reinstalar alguna aplicación pero nada más. Pero visto que no tienes muchas alternativas -y a no ser que encuentres alguna solución en algún sitio- yo haría una instalación limpia de la 42.2. Así lo hice en su día.

      Lamento no poder darte una respuesta concreta Daniel.

      Saludos flamencos,

      Eliminar
  11. Sí, me caso es muy raro :(, de hecho hice la instalación mediante actualización y después desde cero, pero el resultado es el mismo... Aún así, el hecho de que de vez en vez mi pantalla parpadee como poseída, no quita el hecho de que la versión 42.2 sera la mejor que he usado hasta ahora, y realmente no pretendo cambiar :D... Seguiré investigando, y si encuentro solución, por aquí lo estaré anotando por si alguien más tiene el problema...

    ¡¡¡Gracias... Saludos!!!

    ResponderEliminar
    Respuestas
    1. Pues sí te agradecería mucho que comentes la solución -seguro que la encontrarás- siempre le puede ser útil a alguien aquí directamente, o si en algún momento alguien plantea el problema en otro lugar y le podemos echar una mano, tu, yo u otra persona.

      Suerte y saludos flamencos,

      Eliminar
  12. Hola Benjamín.
    Como siempre, magnífica guía para los que somos unos torpes.
    Después de un par de meses esperando a que "madure" me decidí a instalar Leap 42.2. Como mi ordenador tiene ya unos años (y por ahora mi presupuesto no me deja conseguir uno nuevo) el año y pico que he usado Leap 42.1 me pegaba muchos "saltos" al usar algunos programas.
    Esto es algo que supongo que era problema de KDE y su mala fama de consumir muchos recursos. Así que al instalar 42.2 he decidido probar con XFCE.
    Llevo unas tres semanas con el y la verdad es que en general funciona bien y se nota que es más ligero que KDE.
    Defectos que le veo: me parece bastante más "feo" (aunque es algo muy personal), el gestos de archivos (tunnar) me falla muy a menudo y sobre todo que la mayoría de programas de su entorno son mucho más sencillos.
    Para paliar esto último he instalado K3B con mucha facilidad y funciona correctamente, a pesar de ser de KDE. También he instalado Amarok (para mí, imprescindible). Y algo a lo que todavía no me he repuesto es a la falta del genial KDE-connect, el programa se instala sin problemas aparentes, pero después no consigo encontrarlo por ningún lado... (¿¿¿ ???).
    En general, estoy satisfecho con XFCE, aunque echo de menos a KDE. ¿Alguien me recomienda otro escritorio ligero?
    Como siempre, muchas gracias por tu trabajo y por tu tiempo.
    Saludos por bulerías.

    ResponderEliminar
    Respuestas
    1. Hola amigo Lagarto y gracias por el comentario. Sí, si la máquina es algo mayor de edad, debe funcionar mejor con XFCE. En un portátil antiguo –que ya murió- hace años utilice openSUSE con XFCE y recuerdo que instalé algunas aplicaciones de KDE (K3B, por supuesto), incluso Dolphin y quiero recordar que bien. Más recientemente, cuando he utilizado GNOME como escritorio alternativo, o en algún momento instalé MATE, como siempre termino utilizando Dolphin –no me acostumbro a otro gestor de archivos-. Bueno MATE también es ligero.

      Suerte y saludos flamencos por bulerías,

      Eliminar

LinkWithin

Related Posts Plugin for WordPress, Blogger...